## fiat 2017.2.0.0

=== doc/sphinx/requirements.txt ===
numpy
sympy

## fiat 0.9.2

=== debian/changelog ===
fiat (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Package moved from pkg-scicomp to Debian Science.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Remove patch (added upstream).

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Jul 2010 13:57:35 +0200

fiat (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add python-scientific to Depends.
    - Bump Standards-Version to 3.8.4 (no changes).
  * debian/copyright: Update to reflect new files.
  * debian/watch: Update download URL.
  * debian/rules: get-orig-source target no longer repacks orig tarball.
  * Add patch to fix error wrong-path-for-interpreter reported by lintian.

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 17:49:28 +0100

fiat (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright to reflect new files.
  * debian/control:
    - Add DM-Upload-Allowed: yes.
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Bump debhelper version to 7.
  * debian/compat: Bump dh compat to 7.
  * debian/watch, debian/copyright: Update download URLs.

 -- Johannes Ring <johannr@simula.no>  Fri, 11 Dec 2009 09:28:12 +0100

fiat (0.3.4-1) unstable; urgency=low

  * Initial release (Closes: #503077)

 -- Johannes Ring <johannr@simula.no>  Sat, 13 Sep 2008 14:02:28 +0200

=== debian/control ===
Source: fiat
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, python-central (>= 0.6.0)
Standards-Version: 3.9.0
XS-Python-Version: >= 2.4
Homepage: http://www.fenics.org/wiki/FIAT
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/fiat/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/fiat/trunk/

Package: python-fiat
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: fiat
Provides: fiat
Conflicts: fiat
Depends: python-numpy, python-scientific, ${python:Depends}, ${misc:Depends}
Description: tabulation of finite element function spaces
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py

USCAN_DESTDIR := $(CURDIR)

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## fiat 0.9.9

=== debian/changelog ===
fiat (0.9.9-2) unstable; urgency=low

  * Move from python-central to dh_python2 (closes: #616808).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version line.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * Remove old fields Conflicts, Provides, and Replaces from
    debian/control.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 22 Jun 2011 12:50:40 +0200

fiat (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 23:01:08 +0100

=== debian/control ===
Source: fiat
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/fiat/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/fiat/trunk/

Package: python-fiat
Architecture: all
Depends: python-numpy, python-scientific, ${python:Depends}, ${misc:Depends}
Description: tabulation of finite element function spaces
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.

## fiat 1.0-beta

=== debian/changelog ===
fiat (1.0-beta-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Mon, 15 Aug 2011 16:58:34 +0200

## fiat 1.0.0

=== debian/changelog ===
fiat (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage field.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 14:38:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/fiat/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/fiat/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM = pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk

=== debian/watch ===
version=3
http://launchpad.net/fiat/+download http://launchpad.net/fiat/.*/fiat-(.*)\.tar\.gz

## fiat 1.1

=== debian/changelog ===
fiat (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Replace http with https in URL.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 12:23:49 +0200

=== debian/watch ===
version=3
https://launchpad.net/fiat/+download https://launchpad.net/fiat/.*/fiat-(.*)\.tar\.gz

## fiat 1.3.0

=== debian/changelog ===
fiat (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update URL for move to Bitbucket.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 12:39:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 Homepage: http://fenicsproject.org
-DM-Upload-Allowed: yes
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/fiat/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/fiat/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fiat/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fiat/trunk/
 
 Package: python-fiat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## fiat 1.4.0

=== debian/changelog ===
fiat (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Jun 2014 18:11:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fiat/trunk

## fiat 1.5.0

=== debian/changelog ===
fiat (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Bump X-Python-Version to >= 2.7.
    - Replace python-scientific with python-sympy in Depends field.
    - Bump python-all in Build-Depends to >= 2.7.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Jan 2015 19:33:29 +0100

## fiat 1.6.0

=== debian/changelog ===
fiat (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 11 Aug 2015 10:09:09 +0200

=== debian/control ===
Source: fiat
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: debhelper (>= 9), python-all (>= 2.7)
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://fenicsproject.org
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fiat/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fiat/trunk/

Package: python-fiat
Architecture: all
Depends: python-numpy, python-sympy, ${python:Depends}, ${misc:Depends}
Description: tabulation of finite element function spaces
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.

=== debian/watch ===
version=3
https://bitbucket.org/fenics-project/fiat/downloads/fiat-(.*)\.tar\.gz

## fiat 2016.1.0

=== debian/changelog ===
fiat (2016.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Fri, 24 Jun 2016 12:59:43 +0200

fiat (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update VCS fields after the move to Git.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Apr 2016 19:37:34 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all (>= 2.7)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), python-all (>= 2.7), dh-python
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fiat/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fiat/trunk/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git
 
 Package: python-fiat
 Architecture: all

## fiat 2016.2.0

=== debian/changelog ===
fiat (2016.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * Support Python 3: new package python3-fiat.
  * Enable testing.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jan 2017 22:35:03 +0800

fiat (2016.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control: Remove Christophe Prud'homme from Uploaders (closes: #835008).

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Dec 2016 12:18:18 +0100

=== debian/control ===
Source: fiat
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python3-all (>= 3.4),
 python-setuptools,
 python3-setuptools,
 python-sympy,
 python3-sympy,
 python-numpy,
 python3-numpy,
 python-six,
 python3-six,
 python-pytest,
 python3-pytest
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://fenicsproject.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git

Package: python-fiat
Architecture: all
Depends:
 python-numpy,
 python-sympy,
 python-six,
 ${python:Depends},
 ${misc:Depends}
Description: tabulation of finite element function spaces (Python 2)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the library for Python 2.

Package: python3-fiat
Architecture: all
Depends:
 python3-numpy,
 python3-sympy,
 python3-six,
 ${python3:Depends},
 ${misc:Depends}
Description: tabulation of finite element function spaces (Python 3)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=fiat
#export PYBUILD_DISABLE=test
export PYBUILD_TEST_ARGS={dir}/test/unit
export PYBUILD_TEST_PYTEST=1

USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## fiat 2017.2.0.0

=== debian/changelog ===
fiat (2017.2.0.0-2) unstable; urgency=medium

  * debian/control: Update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:20:33 +0800

fiat (2017.2.0.0-1exp1) experimental; urgency=medium

  * New upstream release
    - This is the official 2017.2.0 release. The previous version was a
      mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11
  * debian/control Priority: optional not extra.

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jan 2018 23:48:09 +0800

fiat (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:03:24 +0800

fiat (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:32:06 +0800

fiat (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Disable testing.

 -- Johannes Ring <johannr@simula.no>  Wed, 10 May 2017 11:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fiat
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.7),
  python3-all (>= 3.4),
@@ -18,12 +18,12 @@
  python3-six,
  python-pytest,
  python3-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: http://fenicsproject.org
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/fiat.git
+Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat
 
 Package: python-fiat
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=fiat
-#export PYBUILD_DISABLE=test
-export PYBUILD_TEST_ARGS={dir}/test/unit
-export PYBUILD_TEST_PYTEST=1
+export PYBUILD_DISABLE=test
+#export PYBUILD_TEST_ARGS={dir}/test/unit
+#export PYBUILD_TEST_PYTEST=1
 
 USCAN_DESTDIR := $(CURDIR)

## fiat 2018.1.0

=== debian/changelog ===
fiat (2018.1.0-5) unstable; urgency=medium

  * add debian patch deprecate_numpy_matrix_812395a.diff
    (upstream commit 812395ae3f7daa1c2b1b374ddf4d0794ba07393b)
    to stop using deprecated numpy.matrix
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 18:33:19 +0800

fiat (2018.1.0-4) unstable; urgency=medium

  * debian/tests (autopkgtest) Depends: ca-certificates

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Jul 2018 17:13:30 +0800

fiat (2018.1.0-3) unstable; urgency=medium

  * don't use fresh source for autopkgtest (debian/tests)
  * use DATA_REPO_GIT="" for tests to download fiat-reference-data
  * don't run autopkgtest with MPI (confuses git when updating
    fiat-reference-data, and FIAT is not directly MPI-enabled)
  * redirect test stderr to test.err unless there is an actual error
    (stderr must be empty for autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 17:55:39 +0800

fiat (2018.1.0-2) unstable; urgency=medium

  * activate autopkgtest via debian/tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 00:06:42 +0800

fiat (2018.1.0-1exp2) experimental; urgency=medium

  * Standards-Version: 4.1.5
  * apply sympy 1.2 patch to 2018.1.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jul 2018 08:38:26 +0800

fiat (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 packages in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream version.
    - python-fiat is now a dummy package depending on python3-fiat
  * remove ancient-python-version-field X-Python3-Version: >= 3.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 00:30:56 +0200

fiat (2017.2.0.0-4) unstable; urgency=medium

  * Upstream patch fix_sympy1.2_8ceb29a.patch fixes regression in FIAT
    under sympy 1.2.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jul 2018 08:27:48 +0800

fiat (2017.2.0.0-3) unstable; urgency=medium

  * Depends: python3-pkg-resources. Closes: #896415, #896416.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 11:47:27 +0800

=== debian/control ===
Source: fiat
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python3-all (>= 3.4),
 python3-setuptools,
 python3-sympy,
 python3-numpy,
 python3-pytest
Standards-Version: 4.3.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat

Package: python3-fiat
Architecture: all
Depends:
 python3-numpy,
 python3-sympy,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Description: tabulation of finite element function spaces (Python 3)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the library for Python 3.

Package: python-fiat
Architecture: all
Depends:
 python3-fiat (>= 2018.1), ${misc:Depends}
Description: tabulation of finite element function spaces (Python 3)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This is a dummy package which depends on python3-fiat.
 (FIAT is available for Python 3 only).

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 USCAN_DESTDIR := $(CURDIR)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

## fiat 2019.1.0~git20190220

=== debian/changelog ===
fiat (2019.1.0~git20190220-1) experimental; urgency=medium

  * New upstream test release.
    - applies patches fix_sympy1.2_8ceb29a.patch
      and deprecate_numpy_matrix_812395a.diff

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:46:10 +0800

## fiat 2019.1.0

=== debian/changelog ===
fiat (2019.1.0-3) unstable; urgency=medium

  * debian patch fix_tests_pytest4.patch adapts upstream PR#31 and
    PR#37 to fix tests for pytest4. Closes: #942237.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Oct 2019 02:12:10 +0800

fiat (2019.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-fiat

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:00:22 +0800

fiat (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:33:13 +0800

=== debian/control ===
Source: fiat
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.4),
 python3-setuptools,
 python3-sympy,
 python3-numpy,
 python3-pytest
Standards-Version: 4.4.1
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat

Package: python3-fiat
Architecture: all
Depends:
 python3-numpy,
 python3-sympy,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Description: tabulation of finite element function spaces (Python 3)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: test-fiat
Depends: python3-fiat,
	 python3-pytest,
	 git,
	 ca-certificates

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/fiat/downloads/fiat-(.*)\.tar\.gz

## fiat 2019.2.0~git20200722.e16d9f3

=== debian/changelog ===
fiat (2019.2.0~git20200722.e16d9f3-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 20:00:05 +0800

fiat (2019.2.0~git20200609.ccc94c3-1) unstable; urgency=medium

  * New upstream snapshot.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jun 2020 14:44:43 +0800

fiat (2019.2.0~git20191021.825b23a-2) unstable; urgency=medium

  * drop debian patch fix_tests_pytest4.patch (applied upstream)
  * ensure debian/tests catches test errors
  * separate unit tests from regression tests in debian/tests
    - apply Restrictions: needs-internet to test-fiat-regression in
      debian/tests to download reference data for regression tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 01:07:44 +0800

fiat (2019.2.0~git20191021.825b23a-1) experimental; urgency=medium

  * New upstream snapshot for dolfinx
  * update upstream source repo to https://github.com/FEniCS/fiat
  * Standards-Version: 4.5.0
  * drop dummy package python-fiat

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 02:30:01 +0800

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.4),
  python3-setuptools,
  python3-sympy,
  python3-numpy,
  python3-pytest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat

## fiat 2019.2.0~git20210116.0439689

=== debian/changelog ===
fiat (2019.2.0~git20210116.0439689-2) unstable; urgency=medium

  * upload latest snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Feb 2021 20:39:05 +0100

fiat (2019.2.0~git20210116.0439689-1) experimental; urgency=medium

  * New upstream snapshot.
  * Provide documentation in python-fiat-doc.
  * Remove deprecated get-orig-source rule from debian/rules.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jan 2021 19:44:21 +0100

fiat (2019.2.0~git20200919.42ceef3-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 17:08:28 +0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  python3-setuptools,
  python3-sympy,
  python3-numpy,
- python3-pytest
-Standards-Version: 4.5.0
+ python3-pytest,
+ python3-sphinx <!nodoc>,
+ libjs-mathjax
+Standards-Version: 4.5.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat
@@ -31,3 +33,16 @@
  Brezzi-Douglas-Marini elements and a few others.
  .
  This package installs the library for Python 3.
+
+Package: python-fiat-doc
+Architecture: all
+Depends: libjs-mathjax, ${sphinxdoc:Depends},
+ ${misc:Depends}
+Suggests: python3-fiat
+Description: tabulation of finite element function spaces (docs)
+ The FInite element Automatic Tabulator FIAT supports generation of arbitrary
+ order instances of the Lagrange elements on lines, triangles, and tetrahedra.
+ Other supported elements include arbitrary order Raviart-Thomas elements,
+ Brezzi-Douglas-Marini elements and a few others.
+ .
+ This package installs the documentation for FIAT.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=fiat
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test/unit
#export PYBUILD_TEST_PYTEST=1

PY3VER_DEFAULT := $(shell py3versions -dv)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc/sphinx clean
endif

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-fiat/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:$${PYTHONPATH} $(MAKE) -C doc/sphinx html man
endif

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -i
	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-fiat-doc/usr/share/doc/python-fiat-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i

=== debian/tests/control ===
Test-Command: python3 -m pytest -v test/unit
Depends: python3-fiat,
	 python3-pytest

Tests: test-fiat-regression
Depends: python3-fiat,
	 python3-pytest,
	 git,
	 ca-certificates
Restrictions: needs-internet

## fiat 2019.2.0~git20210419.7d418fa

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FIniteelementAutomaticTabulatorFIAT.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FIniteelementAutomaticTabulatorFIAT.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FIniteelementAutomaticTabulatorFIAT"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FIniteelementAutomaticTabulatorFIAT"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/sphinx/requirements.txt ===
numpy
sympy
sphinx==1.7.0

=== debian/changelog ===
fiat (2019.2.0~git20210419.7d418fa-7) unstable; urgency=medium

  * Update Francesco Ballarin's email address.
  * Add minimal debian/upstream/metadata with links to upstream (archived) repo.
  * Standards-Version: 4.7.2 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit.
  * Add patch fix_sympy_1_14.patch for compatibility with sympy >= 1.14
    - Fixes TypeError: Cannot represent derivative of <class 'list'>

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 21 Aug 2025 07:13:10 +0000

fiat (2019.2.0~git20210419.7d418fa-6) unstable; urgency=medium

  * Drop former fix_deprecated_numpy.patch.
  * Merge content of former fix_deprecated_numpy.patch and numpy 2 fixes from
    https://github.com/firedrakeproject/fiat/commit/40e7280619909cd29afc1fc73e11436c1ba98ad7
    into a new patch fix_numpy_2.patch. Closes: #1095022.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 06:56:16 +0000

fiat (2019.2.0~git20210419.7d418fa-5) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Drop Depends on python3-pkg-resources. pkg_resources was used to determine
    the version of this package: add pkg-resources-to-importlib.patch that
    replaces pkg_resources with importlib.metadata. Closes: #1083395.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 13 Oct 2024 15:05:14 +0000

fiat (2019.2.0~git20210419.7d418fa-4) unstable; urgency=medium

  * remove generated doc files after dh_clean. Closes: #1044828.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 00:23:08 +0100

fiat (2019.2.0~git20210419.7d418fa-3) unstable; urgency=medium

  * debian patch fix_deprecated_numpy.patch replaces deprecated
    np.float with float. Closes: #1027195.
  * debian/tests: skip test_serendipity_derivatives, it fails now in
    lambdify function (tabulate)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 02:22:32 +0100

fiat (2019.2.0~git20210419.7d418fa-2) unstable; urgency=medium

  * add debian patches
    - reproducible-build.patch links docs to local python docs to
      enable reproducible builds. Thanks Chris Lamb. Closes: #1007908.
    - docs_local_mathjax.patch configures docs to use local mathjax
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Jun 2022 20:54:41 +0200

fiat (2019.2.0~git20210419.7d418fa-1) unstable; urgency=medium

  * New upstream snapshot
  * mark python-fiat-doc as Multi-Arch: foreign
  * only reprocess mathjax links if any are found. Closes: #997747.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 20:42:19 +0200

=== debian/control ===
Source: fiat
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>,
           Drew Parsons <dparsons@debian.org>,
           Francesco Ballarin <ballarin@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-doc,
               python3-setuptools,
               python3-sympy,
               python3-numpy,
               python3-pytest,
               python3-sphinx <!nodoc>,
               libjs-mathjax
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fiat
Vcs-Git: https://salsa.debian.org/science-team/fenics/fiat.git
Homepage: https://fenicsproject.org

Package: python3-fiat
Architecture: all
Depends: python3-numpy,
         python3-sympy,
         ${python3:Depends},
         ${misc:Depends}
Description: tabulation of finite element function spaces (Python 3)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the library for Python 3.

Package: python-fiat-doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: python3-fiat,
          python3-doc
Description: tabulation of finite element function spaces (docs)
 The FInite element Automatic Tabulator FIAT supports generation of arbitrary
 order instances of the Lagrange elements on lines, triangles, and tetrahedra.
 Other supported elements include arbitrary order Raviart-Thomas elements,
 Brezzi-Douglas-Marini elements and a few others.
 .
 This package installs the documentation for FIAT.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=fiat
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test/unit
#export PYBUILD_TEST_PYTEST=1

PY3VER_DEFAULT := $(shell py3versions -dv)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf *.egg-info
	rm -rf doc/sphinx/source/api-doc

execute_after_dh_auto_clean:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc/sphinx clean
endif

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-fiat/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:$${PYTHONPATH} $(MAKE) -C doc/sphinx html man
endif

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: python3 -m pytest -v test/unit
+Test-Command: python3 -m pytest -v test/unit -k "not test_serendipity_derivatives"
 Depends: python3-fiat,
 	 python3-pytest

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/ filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fiat-$1.tar.gz%" \
 https://github.com/FEniCS/fiat/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
